Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
net::Services Interface Reference

Network services configuration interface. More...

## Public Member Functions
void | getSettings (out vector< ServiceSettings > servicesSettings)
| Retrieve the network services settings. More...
int | setSettings (in vector< ServiceSettings > servicesSettings)
| Change the network services settings. More...

## Public Attributes
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.

## Detailed Description

Network services configuration interface.

## Member Function Documentation

## ◆ getSettings()

void net::Services::getSettings | ( | out vector< ServiceSettings > | servicesSettings | ) |

Retrieve the network services settings.

Parameters

  servicesSettings | List of all network services settings

## ◆ setSettings()

int net::Services::setSettings | ( | in vector< ServiceSettings > | servicesSettings | ) |

Change the network services settings.

This call changes the settings of one or more network services identified by name. Other services are not affected. The resulting configuration of all enabled services must be consistent, i.e. there must be not port collisions.

Parameters

  servicesSettings | List of network services settings to be changed

Returns
  0 if OK
  1 if any parameters were invalid

The documentation for this interface was generated from the following file:

- Services.idl